Interface RoleAssignment
- All Known Implementing Classes:
RoleAssignmentJson
public interface RoleAssignment
An assignment of a
Role to a principal within a scope, as returned by the IAM role
assignment operations (GET /v1/roleAssignments, operationId listRoleAssignments;
POST /v1/roleAssignments, operationId createRoleAssignment;
GET /v1/roleAssignments/{roleAssignmentId}, operationId getRoleAssignment).
This is a read-only response view (spec schema RoleAssignment).
-
Nested Class Summary
Nested ClassesModifier and TypeInterfaceDescriptionstatic interfacestatic interface -
Method Summary
Modifier and TypeMethodDescription
-
Method Details
-
getRoleAssignmentId
String getRoleAssignmentId()- Returns:
- the immutable identifier of this role assignment (e.g.
roleassignment:550e8400-...)
-
getProjectId
String getProjectId()- Returns:
- the identifier of the project that owns this assignment
-
getPrincipal
String getPrincipal()- Returns:
- the principal (or group) assigned to the role
-
getRoleId
String getRoleId()- Returns:
- the identifier of the role assigned to the principal
-
getRoleName
String getRoleName()- Returns:
- the name of the role assigned to the principal
-
getAssignmentScope
RoleAssignment.AssignmentScope getAssignmentScope()- Returns:
- the scope this assignment applies to
-